% Plotting correlograms

[acf,lags,bounds]=autocorr(YY,'NumLags',40);
    navyblue = [19,30,66]/255;
    colorline = navyblue;
    redix = [184,4,4]/255;
    colorSE = redix;
    LINWIDTH = 2;   
figure
stem(lags(2:end),acf(2:end),'filled','Color',colorline,'Linewidth',LINWIDTH)
hold on
yline(bounds(1,1),'Color',colorSE,'Linewidth',1)
yline(bounds(2,1),'Color',colorSE,'Linewidth',1)
ylabel('autocorrelations of shocks')
xlabel('lags')
axis([0 40 -0.3 0.35])